Skip to main content
POST
/
data-retrievals
/
v3.0
Create a Retrieval
curl --request POST \
  --url https://{regionAndDomain}.com/api/app/data-retrievals/v3.0 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "distinct_ids": [
    "distinct_id_1",
    "distinct_id_2",
    "distinct_id_3"
  ],
  "compliance_type": "<string>",
  "disclosure_type": "<string>"
}
'
{
  "status": "ok",
  "results": {
    "task_id": "job-tracking-id"
  }
}

Authorizations

Authorization
string
header
required

OAuth Token

Query Parameters

token
string
required

Your project token

Body

application/json
distinct_ids
string[]

Distinct IDs involved in the request

Example:
[
"distinct_id_1",
"distinct_id_2",
"distinct_id_3"
]
compliance_type
string

Select CCPA or GDPR. Default is GDPR.

disclosure_type
string

Only required if compliance_type = CCPA. Can be Data, Categories, or Sources. Default is Data.

Response

Success

A JSON response object containing the task_id of the retrieval/deletion job.

status
string
required

The status of the response

Example:

"ok"

results
object
required